curl --request GET \
--url https://api.developer.pixelcut.ai/v1/video/loop/job/{jobId} \
--header 'X-API-KEY: <api-key>'import requests
url = "https://api.developer.pixelcut.ai/v1/video/loop/job/{jobId}"
headers = {"X-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://api.developer.pixelcut.ai/v1/video/loop/job/{jobId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"job_id": "6ba7b810-9dad-11d1-80b4-00c04fd430c8",
"status": "completed",
"result_url": "https://assets.pixelcut.app/public/result/6ba7b810-9dad-11d1-80b4-00c04fd430c8.mp4",
"error": {
"code": "unexpected_error",
"message": "Job processing failed"
}
}{
"error": "File size too large",
"error_code": "file_size_too_large"
}{
"error": "API Token not found",
"error_code": "invalid_auth_token"
}{
"error": "Job not found",
"error_code": "not_found"
}{
"error": "Too many requests",
"error_code": "rate_limit_exceeded"
}Looping Video Job Status
Checks the status of a Looping Video job.
When a job completes, the response includes a result_url pointing to the generated MP4. If the job was submitted with include_audio: false, the MP4 is guaranteed to contain no audio stream.
Authorizations
All API requests require a valid api key. Include your token as a HTTP request header in the following format: X-API-Key: skXXXXXXXXXXXXXXXX. You can obtain an api key by signing up for developer access in your Pixelcut account.
Path Parameters
The ID of the job to check
Response
Job status retrieved successfully
The ID of the job
"6ba7b810-9dad-11d1-80b4-00c04fd430c8"
The current status of the job
pending, running, completed, failed "completed"
A URL to access the resultant MP4 video, only present when status is 'completed'
"https://assets.pixelcut.app/public/result/6ba7b810-9dad-11d1-80b4-00c04fd430c8.mp4"
Error details, only present when status is 'failed'
Show child attributes
Show child attributes